org.h2gis.functions.spatial.aggregate

## Class ST_LineMerge

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.aggregate.ST_LineMerge

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_LineMerge
    extends org.h2gis.api.DeterministicScalarFunction

Merges a collection of linear components to form maximal-length linestrings.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_LineMerge()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `merge(com.vividsolutions.jts.geom.Geometry geometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_LineMerge

    public ST_LineMerge()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### merge

    public static com.vividsolutions.jts.geom.Geometry merge(com.vividsolutions.jts.geom.Geometry geometry)
                                                      throws SQLException

Throws:
  `SQLException`